Bug 212890 - Replace %{dist} by %{?dist}
Replace %{dist} by %{?dist}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 18:47 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 12:04:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-10-29 18:47:31 EST
Description of problem:
Please replace the non-conditional %{dist} by %{?dist} in the redhat-rpm-config 
spec file.

Version-Release number of selected component (if applicable):
redhat-rpm-config-8.0.45-12
Comment 1 Robert Scheck 2006-12-19 18:13:51 EST
Ping?
Comment 2 Jon Masters 2006-12-19 18:48:49 EST
Ok. Will take a look later in the week - sorry for the lag. Just wrapping up
some things in the office before the holidays and will then get this finished.

Jon.
Comment 3 Robert Scheck 2007-04-03 18:39:12 EDT
Ping?
Comment 4 Robert Scheck 2007-04-29 14:31:48 EDT
Jon, ping?
Comment 5 Jeremy Katz 2007-06-19 12:04:15 EDT
Given that redhat-rpm-config is actually providing the %dist macro, it's being
hardcoded for now.  To be revisited when we move the definition of %dist to
fedora-release

Note You need to log in before you can comment on or make changes to this bug.